VCS: https://gitlab.cern.ch/linuxsupport/rpms/cern-aklog-systemd-user/-/tree/270459e42867e19d1ec1d2487f507deecefe4980
Name:		cern-aklog-systemd-user
Version:	1.2
Release:	1%{?dist}
Summary:	cern-aklog-systemd-user	

Group:		CERN/Utilities
License:	BSD	
URL:		http://linux.cern.ch
Source0:  %{name}-%{version}.tgz
BuildArch:	noarch

Requires:	kstart

%if 0%{?el8}
BuildRequires: systemd
%else
BuildRequires: systemd-rpm-macros
%endif

%description
cern-aklog-systemd-user is a simple RPM which packages a systemd user
unit file for use when running with AFS on systemd v239+ (CentOS8)
This is a workaround to provide AFS PAGs through the per-user systemd
instance.
More details on why this workaround exists can be found here:
https://github.com/systemd/systemd/issues/7261

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_userunitdir}
install -p -m 0644 aklog.service %{buildroot}%{_userunitdir}/aklog.service

%files
%{_userunitdir}/aklog.service

%post
%systemd_user_post aklog.service

%preun
%systemd_user_preun aklog.service

%postun
%systemd_user_postun_with_restart aklog.service

%changelog
* Thu Jun 30 2022 Steve Traylen <steve.traylen> - 1.2-1
 - Remove hard dependency on aklog being present
 - Create and use a pid file for krenew

* Mon Aug 02 2021 Ben Morrice <ben.morrice@cern.ch> - 1.1-1
 - tweak unit file to avoid "Assignment outside of section"

* Fri Jan 17 2020 Steve Traylen <steve.traylen@cern.ch> - 1.0-2
 - BR systemd for systemd rpm macros

* Fri Jan 10 2020 Ben Morrice <ben.morrice@cern.ch> - 1.0-1
 - initial release
